View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000691aMuleMiscpublic2005-12-06 01:552005-12-09 23:50
ReporterJacobo221 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000691: connect/disconnect button is still broken
DescriptionFunny things still happen with the connect/disconnect button in toolbar when Prefs -> Connections has ed2k disable and kad enabled.

Two examples:
*When clicking disconnect, it disconnects kad and connects ed2k (uh??)
*It will still connect ed2k when clicking connect.

Also, when both ed2k and kad are disabled in Prefs -> Connection, Clickin Connect will still connect to ed2k (though not to kad). I understand this, but seems unconsistent.
Additional InformationMy proposal:

As I said back from a discussion with key some weeks ago in this bugtracker (can't remember whih bug, actually), the Prefs -> Connections enable/disable network boxes just decide which networks ar to be automatically connect to at start up. which can totally be disabled by "Autoconnet at startup : disabled".

So, to avoid confusion (because currenyl it looks liek those two boxes enable and disable the whole network, not just autoconnection at startu) I would change the preferences to either of this two:

1. "Autoconnect at startup" which, underneath contains the two networks boxes: "ed2k" "kad". when both are disabled, "Autoconnect at startup is automatically turned disabled. While "Autoconnect at startup" is enabled, one or both of the network boxes MUST be enabled.

2. An "Auto connect at startup" menu with options: "none" "ed2k" "kad" "both".

I prefer the first one though.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001612)
Kry (manager)
2005-12-09 23:43

6013
(0001617)
Kry (manager)
2005-12-09 23:50

This might have fixed it:

Revision: 6008
Author: xaignar
Date: 2005-12-09 21:01:35 +0100 (Fri, 09 Dec 2005)

Log Message:
-----------
Overriding the default sizes in wxDesigner seems
to cause problems. This patch fixes missing scroll-
bars on ed2k/kad info pages and adds gravity to the
server-window splitter (so both windows resizes,
not just the bottom one).



Please test next tarball (10/12/2995) and report.

- Issue History
Date Modified Username Field Change
2005-12-06 01:55 Jacobo221 New Issue
2005-12-06 01:56 Jacobo221 Additional Information Updated
2005-12-09 23:37 Kry Status new => assigned
2005-12-09 23:37 Kry Assigned To => Kry
2005-12-09 23:43 Kry Status assigned => resolved
2005-12-09 23:43 Kry Resolution open => fixed
2005-12-09 23:43 Kry Note Added: 0001612
2005-12-09 23:50 Kry Note Added: 0001617


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker